package com.ruoyi.interfaces.mapper;

import com.ruoyi.interfaces.domain.MyAttention;
import com.ruoyi.interfaces.domain.PtService;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface MyAttentionMapper {

    int insert(MyAttention my);

    int delete(Long id);

    List<PtService> findByUserId(@Param("userId") String userId);

    List<PtService> list(PtService ptService);

    long findByMaxId();

    int findByIsTrue(MyAttention my);
}
